<?php
class links_bookmarklet
{
	var $mydirname;
	var $controller_name;
	var $Links;

	/** Constructor
	 *
	**/
	function __construct($mydirname)
	{
		$this->mydirname = $mydirname;
		$this->controller_name = str_replace('links_', '', get_class($this));
		$this->Links = links_Base::getInstance($this->mydirname);
		$this->Links->setControllerName($this->controller_name);
		$this->Links->breadcrumbs();

	}

	function index()
	{
		$template = $this->Links->getTemplatePrefix() . '_bookmarklet.html';
		$this->Links->view($template);
	}

}